# $Revision: 1.35 $, $Date: 2005/01/03 18:53:49 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	RPC
%define		pnam	XML
Summary:	RPC::XML - an implementation of XML-RPC for Perl
Summary(pl):	RPC::XML - implementacja standardu XML-RPC dla Perla
Name:		perl-RPC-XML
Version:	0.57
Release:	1
Vendor:		Randy J. Ray
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e69b3dfe1383c324950580fb73670187
URL:		http://www.blackperl.com/RPC::XML/
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-libwww
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%description
The RPC::XML package for Perl is an implementation of the XML-RPC
standard as defined at <http://www.xmlrpc.com/spec/>. It is written in
pure Perl without use or need of C (or XS) linkage. It does (at
present) require the XML::Parser and LWP CPAN modules for operation.

%description -l pl
Pakiet RPC::XML jest implementacj standardu XML-RPC zdefiniowanego na
<http://www.xmlrpc.com/spec/>. Jest napisany wycznie w Perlu, bez
czenia z C (ani XS). Aktualnie wymaga do dziaania moduw
XML::Parser i LWP z CPAN.

%package Apache
Summary:	RPC server as an Apache/mod_perl content handler
Summary(pl):	Serwer RPC jako procedura obsugi treci Apache/mod_perl
Group:		Applications/Networking

%description Apache
RPC server as an Apache/mod_perl content handler.

%description Apache -l pl
Serwer RPC jako procedura obsugi treci Apache/mod_perl.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%doc ChangeLog README
%{perl_vendorlib}/RPC/XML.pm
%{perl_vendorlib}/RPC/XML
%dir %{perl_vendorlib}/auto/RPC
%dir %{perl_vendorlib}/auto/RPC/XML
%dir %{perl_vendorlib}/auto/RPC/XML/*
%{perl_vendorlib}/auto/RPC/XML/*/*.al
%{perl_vendorlib}/auto/RPC/XML/*/autosplit.ix
%{_mandir}/man3/*
%exclude %{_mandir}/man3/Apache*
%{_mandir}/man1/*

%files Apache
%defattr(644,root,root,755)
%doc README.apache
%{perl_vendorlib}/Apache/RPC
%{_mandir}/man3/Apache*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-RPC-XML.spec,v $
Revision 1.35  2005/01/03 18:53:49  adamg
- updated to 0.57

Revision 1.34  2004/12/12 10:46:07  adamg
- updated to 0.56

Revision 1.33  2004/12/01 18:08:28  radek
- autoupdated to 0.55

Revision 1.32  2004/11/03 22:30:41  paladine
- formatting

Revision 1.31  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.30  2004/06/05 18:10:46  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.29  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.28  2004/05/06 18:01:31  ankry
- fixed perl-devel BR

Revision 1.27  2004/04/29 21:33:40  ankry
- tests added

Revision 1.26  2004/04/15 09:24:12  ankry
- cosmetics

Revision 1.25  2004/04/14 15:54:16  adamg
- updated to 0.54

Revision 1.24  2004/01/05 01:24:44  ankry
- spaces -> tabs

Revision 1.23  2004/01/04 23:26:01  qboosh
- pl for -Apache

Revision 1.22  2004/01/04 21:41:02  arekm
- rel3; binary packages only in main pkg; thanks ankry

Revision 1.21  2004/01/04 20:49:24  arekm
- rel 2; added subpackage with Apache related modules

Revision 1.20  2003/09/09 10:24:46  ankry
- spaces -> tab

Revision 1.19  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/05/28 13:00:59  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:24:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.15  2003/03/13 00:03:38  ankry
- merge from RA-branch: updated to 0.53

Revision 1.14  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.13  2003/02/25 00:41:45  radek
- use the __perl macro

Revision 1.12  2003/02/18 23:55:47  ankry
- autoupdated to 0.52

Revision 1.11  2003/02/18 15:37:52  ankry
- massive attack: change CPAN URLs

Revision 1.10  2003/02/05 16:19:30  ankry
- autoupdated to 0.51

Revision 1.9  2002/11/20 12:27:20  mis
- autoupdated to 0.45

Revision 1.8  2002/09/08 11:04:16  radek
- version 0.44

Revision 1.7  2002/07/27 21:40:10  ankry
- added back autosplit.ix files
- release 3

Revision 1.6  2002/07/18 13:46:02  ankry
- cleaning
- added %%dir %{perl_sitelib}/auto/RPC
- removed */autosplit.ix
- release 2

Revision 1.5  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.4  2002/07/11 08:03:19  depesz
- new version; should work; STBR

Revision 1.3  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.2  2002/04/04 12:58:46  qboosh
- added pl, cosmetics

Revision 1.1  2002/04/04 12:20:55  grabba
- first release
